rpmlint

RPM file correctness checker

rpmlint is a tool to check common errors on RPM packages. Binary and source packages can be checked.

There is no official package available for openSUSE Leap 15.4

Distributions

openSUSE Tumbleweed

official release Official
2.3.0+git20220929.302...

openSUSE Leap 15.4

openSUSE Leap 15.3

openSUSE Leap 15.2

Debian Testing

Debian 11

Debian 10

Fedora Rawhide (unstable)

Fedora 36

Fedora 35

RedHat RHEL-7

CentOS CentOS-8-Stream

CentOS CentOS-7

Ubuntu 22.04

Ubuntu 20.04

Ubuntu 18.04

Unsupported distributions

The following distributions are not officially supported. Use these packages at your own risk.

SUSE:SLE-15:GA

openSUSE:Leap:15.0

openSUSE:Leap:15.1

openSUSE:Leap:42.2

openSUSE:Leap:42.3

openSUSE:Leap:42.1

openSUSE:13.1

openSUSE:13.2

SUSE:SLE-12:SLE-Module-Adv-Systems-Management

openSUSE:12.3

openSUSE:12.1

openSUSE:12.2

openSUSE:11.4

openSUSE:11.1

SUSE:ALP

2.3.0+git20220929.302...

devel:LEO

2.3.0+git20220725.8b1...

Intel:Moblin2

DISCONTINUED:openSUSE:11.1

Ubuntu:22.10

OBS:DefaultKernel

home:coolo:alp

CentOS:CentOS-9:Stream

SUSE:SLE-12:SLE-Module-Toolchain

SUSE:SLE-11:SP2